=== modified file 'sru_workflow.py'
--- sru_workflow.py	2017-12-07 16:28:15 +0000
+++ sru_workflow.py	2018-03-05 14:27:26 +0000
@@ -38,9 +38,10 @@
             print("Ignoring task %s in bug %s" % (task.web_link, num))
             continue
         sourcepkg_match = True
-        if (match.group('suite') == release and
-            task.status not in ("Invalid", "Won't Fix",
-                                "Fix Released")):
+        if match.group('suite') == release:
+            if task.status in ("Invalid", "Won't Fix", "Fix Released"):
+                print("Matching task was set to %s before accepting the SRU, "
+                      "switching back to Fix Committed." % task.status)
             task.status = "Fix Committed"
             task.lp_save()
             print("Success: task %s in bug %s" % (task.web_link, num))

